aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Tom Willemse2013-05-20 00:21:12 +0200
committerGravatar Tom Willemse2013-05-20 00:21:12 +0200
commit8c8fa188571bba37109e3ae7664d312abcee4c77 (patch)
tree12103304646fef249a10394aeb63e669e28a676c
parentabe302c1b6bd5152a719a205c8108d9c629ea458 (diff)
downloadkaarvok-8c8fa188571bba37109e3ae7664d312abcee4c77.tar.gz
kaarvok-8c8fa188571bba37109e3ae7664d312abcee4c77.zip
Add pt script
The `pt' script is used to add a command-line interface to the `project-template' module. It runs the `pt-create-project-from-template' function, passing along the first and second arguments.
-rwxr-xr-xpt9
1 files changed, 9 insertions, 0 deletions
diff --git a/pt b/pt
new file mode 100755
index 0000000..edbc522
--- /dev/null
+++ b/pt
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ "${#@}" -lt 2 ]; then
+ echo "Usage: $0 <template name> <destination>"
+ exit 1
+fi
+
+/usr/bin/emacs -Q -batch -l project-template.el -eval \
+ "(pt-create-project-from-template \"$1\" \"$2\")"